Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory(M),Optional(O)Provided by INSTANTPAY(Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IdMY
X-Ipay-Client-SecretStringUnique Client SecretMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMY

Request Parameters

NameTypeRequirementDescription
externalRefStringMandatoryUnique Transaction id
productKeyStringMandatoryProduct Key
denominationIntegerMandatoryDenomination
senderArray
sender.nameStringMandatoryName of the sender
receiverArray
receiver.nameStringMandatoryName of the receiver
receiver.contactStringMandatoryMobile number or Email Id of the receiver
receiver.gift_messageStringMandatoryGift message
latitudeStringMandatoryCurrent Location Latitude
longitudeStringMandatoryCurrent Location Longitude

Sample Request

curl --location 'https://api.instantpay.in/cards/brand/order' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data-raw '{
    "externalRef" : "123456789",
    "productKey": "YYQEGCGBFM001",
    "denomination": 1,
    "sender": {
        "name": "Sample Name"
    },
    "receiver": {
        "name": "Instantpay India Ltd.",
        "contact" : "[email protected]",
        "gift_message": "Hope you enjoy this gift card!"
    },
    "latitude": "27.204",
    "longitude": "77.497"
}
'
POST /cards/brand/order HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOX923SyPZlQWg5sCmZbpfcw=
X-Ipay-Client-Secret: 6f3d58493d8585d2d6dffb0225fc117129071c7411a5c56d77fc0514304353cb
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 392

{
    "externalRef" : "T2",
    "productKey": "YYQEGCGBFM001",
    "denomination": 1,
    "sender": {
        "name": "Sample Name"
    },
     "receiver": {
        "name": "shahbaz.",
        "contact" : "[email protected]",
        "gift_message": "Hope you enjoy this gift card!"
    },
    "latitude": "27.204",
    "longitude": "77.497"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantPay StatusCode
actcodeStringAction Code
statusStringStatus message
dataStringResponse Data(if Present)
timestampStringResponse time(YYYY-MM-DD HH:||:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringit will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "T2",
        "poolReferenceId": "DQC012313912004910",
        "txnValue": "1.00",
        "txnReferenceId": "00",
        "pool": {
            "account": "7428585742",
            "openingBal": "555.05",
            "mode": "DR",
            "amount": "1.00",
            "closingBal": "554.05"
        },
        "sender": {
            "name": "Sample Name"
        },
        "receiver": {
            "name": "Instantpay India Ltd.",
            "contact" : "[email protected]",
            "cardNumber": "1234567890",
            "cardPin": "172767",
            "cardExpiry": "2024-05-18"
        }
    },
    "timestamp": "2023-05-19 12:00:54",
    "ipay_uuid": "h0059933ce62-82cf-4bb7-8d1a-835643737d74",
    "orderid": "DQC012313912004910",
    "environment": "LIVE",
    "internalCode": null
}
Body Params
string

unique transaction id

string

productKey

int32
Defaults to 1
sender
object
reciever
object
string

end customer latitude

string
Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json